
#ifndef SPECTRE_PLATFORM_H
#define SPECTRE_PLATFORM_H

class PlatformInput;
class PlatformDisplay;
class MessageQueue;

class PlatformApplication
{
public :
	virtual void init() = 0;

	virtual void shutdown() = 0;

	//virtual PlatformDisplay& getDisplay() = 0;

	virtual PlatformInput& getInput() = 0;

	virtual MessageQueue& getMessageQueue() = 0;

	virtual void update() = 0;
};

#endif /* SPECTRE_PLATFORM_H */